Note: This is a beta release of Red Hat Bugzilla 5.0. The data contained within is a snapshot of the live data so any changes you make will not be reflected in the production Bugzilla. Also email is disabled so feel free to test any aspect of the site that you want. File any problems you find or give feedback here.

Bug 418

Summary: wrong permissions for vfat,dos,.. partitions
Product: [Retired] Red Hat Linux Reporter: jekone
Component: linuxconfAssignee: Michael K. Johnson <johnsonm>
Status: CLOSED CURRENTRELEASE QA Contact:
Severity: medium Docs Contact:
Priority: medium    
Version: 5.2CC: jack
Target Milestone: ---Keywords: Security
Target Release: ---   
Hardware: i386   
OS: Linux   
Whiteboard:
Fixed In Version: Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of: Environment:
Last Closed: 1999-03-19 22:50:07 UTC Type: ---
Regression: --- Mount Type: ---
Documentation: --- CRM:
Verified Versions: Category: ---
oVirt Team: --- RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: --- Target Upstream Version:

Description jekone 1998-12-14 21:43:42 UTC
linuxconf writes:
"/dev/sda5 /mnt/d vfat exec,dev,suid,rw,perm=007 1 1"
in /etc/fstab
instead of:
"/dev/sda5 /mnt/d vfat exec,dev,suid,rw,umask=007 1 1"

And "perm" doesn't exist according to the mount man pages
and it also doesn't work.
So you've got to mannualy edit the /etc/fstab file and
change "perm" into "umask".

Comment 1 Jay Turner 1998-12-31 16:25:59 UTC
Confirmed in test lab.  Perm has no effect with a mount statement.

Comment 2 Michael K. Johnson 1999-02-11 20:43:59 UTC
Added Jacques to the CC list so that he can fix it.

Comment 3 Michael K. Johnson 1999-03-18 22:36:59 UTC
should be fixed in linuxconf-1.14-3 package; patch sent to Jacques

Comment 4 Michael K. Johnson 1999-03-19 22:50:59 UTC
Jacques accepted patch for 1.14r2.1